[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomButton.Create

Constructor for the class instance.

## Declaration

Source position: stdctrls.pp line 1246

`public constructor TCustomButton.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor on entry.

Create updates the internal component style and ControlStyle with values needed for the control. Create sets the default values for properties, including:

Color
  Set to clDefault or clBtnFace (depending on the platform or widgetset).
ParentColor
  Set to False.
TabStop
  Set to True.
Align
  Set to alNone.

Create calls SetInitialBounds using the height and width returned from GetControlClassDefaultSize.